# inspired from fedora spec file
# Copyright (c) 2015 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     Base
%define composer_name   base
%define composer_vendor zetacomponents
%define bootstrap       0

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        1.9.1
Release:        %mkrel 3
Summary:        Zeta Base Component
Group:          Development/PHP
License:        ASL 2.0
URL:            http://zetacomponents.org/
Source0:        https://github.com/zetacomponents/Base/archive/%{github_name}-%{version}.tar.gz
# Use old PEAR layout
Patch0:         %{name}-layout.patch
BuildArch:      noarch
%if ! %{bootstrap}
BuildRequires:  php-composer(theseer/autoload)
%endif

# From phpcompatinfo report for 1.9
Requires:       php > 5.3
Requires:       php-pcre
Requires:       php-posix
Requires:       php-simplexml

Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
This is the base package of the Zeta components, offering the basic
support that all Components need. In the first version this will be the
autoload support.

%prep
%setup -qn %{github_name}-%{version}

%patch0 -p0

%build
%if ! %{bootstrap}
: Generate a simple autoloader
%{_bindir}/phpab \
   --output src/autoloader.php \
   src
%endif

%install
mkdir -p %{buildroot}%{php_libdir}/ezc/autoload

: The library
cp -pr src \
       %{buildroot}%{php_libdir}/ezc/%{github_name}
: For ezcBase autoloader
cp -pr src/*_autoload.php \
       %{buildroot}%{php_libdir}/ezc/autoload

%files
%doc LICENSE* CREDITS
%doc ChangeLog
%doc composer.json
%doc docs design
%dir %{php_libdir}/ezc
%dir %{php_libdir}/ezc/autoload
%{php_libdir}/ezc/autoload/*_autoload.php
%{php_libdir}/ezc/%{github_name}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.9.1-3.mga8
+ Revision: 1507421
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.9.1-2.mga7
+ Revision: 1287889
- Mageia 7 Mass Rebuild

* Sun Feb 11 2018 guillomovitch <guillomovitch> 1.9.1-1.mga7
+ Revision: 1200408
- new version 1.9.1
- build with proper autoloader now bootstrapping is done

* Tue Apr 18 2017 guillomovitch <guillomovitch> 1.9-1.mga6
+ Revision: 1096673
- imported package php-zetacomponents-base

